Index: trunk/LMDZ.VENUS/libf/phyvenus/chemparam_mod.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/chemparam_mod.F90	(revision 2463)
+++ trunk/LMDZ.VENUS/libf/phyvenus/chemparam_mod.F90	(revision 2464)
@@ -13,5 +13,5 @@
                  i_cocl2, i_s, i_so, i_so2, i_so3,       &
                  i_s2o2, i_ocs, i_hso3, i_h2so4, i_s2,   &
-                 i_clso2, i_oscl, i_n2 
+                 i_clso2, i_oscl, i_n2, i_he 
                  
 INTEGER, SAVE :: i_h2oliq, i_h2so4liq
@@ -834,4 +834,7 @@
 		i_n2=i
 		M_tr(i_n2)=28.013
+		CASE('he')
+		i_he=i
+		M_tr(i_he)=4.0026
 ! MICROPHYSICAL TRACERS FOR CL_SCHEME=1
   		CASE('h2oliq')
Index: trunk/LMDZ.VENUS/libf/phyvenus/clesphys.h
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/clesphys.h	(revision 2463)
+++ trunk/LMDZ.VENUS/libf/phyvenus/clesphys.h	(revision 2464)
@@ -23,5 +23,5 @@
        REAL    z0, lmixmin
        REAL    ksta, inertie
-       REAL    euveff, solarcondate
+       REAL    euveff, fixed_euv_value
 
        COMMON/clesphys_l/ cycle_diurne, soil_model,                     &
@@ -37,4 +37,4 @@
 
        COMMON/clesphys_r/ ecriphy, solaire, z0, lmixmin,                &
-     &     ksta, inertie, euveff, solarcondate
+     &     ksta, inertie, euveff, fixed_euv_value
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/new_cloud_sedim.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/new_cloud_sedim.F	(revision 2463)
+++ trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/new_cloud_sedim.F	(revision 2464)
@@ -96,5 +96,5 @@
      $            + d_tr_chem(:,:,i_h2so4liq)*ptimestep
 
-      wgt_SA(:,:) = wh2so4(:,:)
+      wgt_SA(:,1:n_lev) = wh2so4(:,:)
 
 c     Init F_sed
Index: trunk/LMDZ.VENUS/libf/phyvenus/compo_hedin_mod2.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/compo_hedin_mod2.F90	(revision 2463)
+++ trunk/LMDZ.VENUS/libf/phyvenus/compo_hedin_mod2.F90	(revision 2464)
@@ -97,6 +97,6 @@
          enddo
 
-!            print*, pres_hedin(1,:)
-!	    print*, ' '
+!           print*, pres_hedin(1,:)
+!           print*, ' '
 !           print*, T(musize,:)  
 !	    print*, ' '
@@ -112,15 +112,15 @@
 !		print*, " "
 !		print*, ntot(1,:)
-!		print*, co2_hedin(:,10)
+!               print*, co2_hedin(1,:)
 !		print*, mu_hedin(:)
-!		print*, " "
-!		print*, n2_hedin(1,:)
-!		print*, " "
-!		print*, o_hedin(1,:)
-!		print*, " "
-!		print*, co_hedin(1,:)
-!		print*, ' '
-!	 stop
-		
+!               print*, " "
+!               print*, n2_hedin(1,:)
+!               print*, " "
+!               print*, o_hedin(1,:)
+!               print*, " "
+!               print*, co_hedin(1,:)
+!               print*, ' '
+!           stop
+
        end subroutine compo_hedin83_init2
 
@@ -165,7 +165,11 @@
           enddo
 
-        factp(k) = (log10(pression(i,k))-log10(pres_hedin(mu_ok,z_ok-1)))/(log10(pres_hedin(mu_ok,z_ok))-log10(pres_hedin(mu_ok,z_ok-1)))
+        if (pres_hedin(mu_ok,zsize).ge.pression(i,k)) then
+! avoid the extrapolation... Problem when p < 1.E-6 Pa...
+         factp(k) = 1.
+        else
+         factp(k) = (log10(pression(i,k))-log10(pres_hedin(mu_ok,z_ok-1)))/(log10(pres_hedin(mu_ok,z_ok))-log10(pres_hedin(mu_ok,z_ok-1)))
+        endif
 
-      	
         ovmr_gcm(i,k) = (10.**(log10(o_hedin(mu_ok,z_ok))*factp(k)+log10(o_hedin(mu_ok,z_ok-1))*(1.-factp(k))))
         n2vmr_gcm(i,k) = 10.**(log10(n2_hedin(mu_ok,z_ok))*factp(k)+log10(n2_hedin(mu_ok,z_ok-1))*(1.-factp(k)))
Index: trunk/LMDZ.VENUS/libf/phyvenus/conc.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/conc.F90	(revision 2463)
+++ trunk/LMDZ.VENUS/libf/phyvenus/conc.F90	(revision 2464)
@@ -14,52 +14,4 @@
       REAL, ALLOCATABLE, SAVE :: cpnew(:,:)
 !$OMP THREADPRIVATE(cpnew)
-      REAL, ALLOCATABLE, SAVE :: jfotsout(:,:,:)
-!$OMP THREADPRIVATE(jfotsout)
-      REAL, ALLOCATABLE, SAVE :: coefit4(:,:)
-!$OMP THREADPRIVATE(coefit4)
-      REAL, ALLOCATABLE, SAVE :: coefit3(:,:)
-!$OMP THREADPRIVATE(coefit3)
-      REAL, ALLOCATABLE, SAVE :: coefit2(:,:)
-!$OMP THREADPRIVATE(coefit2)
-      REAL, ALLOCATABLE, SAVE :: coefit1(:,:)
-!$OMP THREADPRIVATE(coefit1)
-      REAL, ALLOCATABLE, SAVE :: coefit0(:,:)
-!$OMP THREADPRIVATE(coefit0)
-      REAL, ALLOCATABLE, SAVE :: fluxtop(:)
-!$OMP THREADPRIVATE(fluxtop)
-!      REAL, ALLOCATABLE, SAVE :: freccen(:)
-!$OMP THREADPRIVATE(freccen)
-      REAL, ALLOCATABLE, SAVE :: t0(:)
-!$OMP THREADPRIVATE(t0)
-!      REAL, ALLOCATABLE, SAVE :: crscabsi2(:,:)
-!$OMP THREADPRIVATE(crscabsi2)
-      REAL, ALLOCATABLE, SAVE :: jabsifotsintpar(:,:,:)
-!$OMP THREADPRIVATE(crscabsi2)
-      REAL, ALLOCATABLE, SAVE :: c1_16(:,:)
-!$OMP THREADPRIVATE(c1_16)
-      REAL, ALLOCATABLE, SAVE :: c17_24(:)
-!$OMP THREADPRIVATE(c17_24)
-      REAL, ALLOCATABLE, SAVE :: c25_29(:)
-!$OMP THREADPRIVATE(c25_29)
-      REAL, ALLOCATABLE, SAVE :: c30_31(:)
-!$OMP THREADPRIVATE(c30_31)
-      REAL, ALLOCATABLE, SAVE :: c32(:)
-!$OMP THREADPRIVATE(c32)
-      REAL, ALLOCATABLE, SAVE :: c33(:)
-!$OMP THREADPRIVATE(c33)
-      REAL, ALLOCATABLE, SAVE :: c34(:)
-!$OMP THREADPRIVATE(c34)
-      REAL, ALLOCATABLE, SAVE :: c35(:)
-!$OMP THREADPRIVATE(c35)
-      REAL, ALLOCATABLE, SAVE :: c36(:)
-!$OMP THREADPRIVATE(c36)
-      REAL, ALLOCATABLE, SAVE :: ct1(:)
-!$OMP THREADPRIVATE(ct1)
-      REAL, ALLOCATABLE, SAVE :: ct2(:)
-!$OMP THREADPRIVATE(ct2)
-      REAL, ALLOCATABLE, SAVE :: p1(:)
-!$OMP THREADPRIVATE(p1)
-      REAL, ALLOCATABLE, SAVE :: p2(:)
-!$OMP THREADPRIVATE(p2)
 
 
@@ -69,5 +21,4 @@
      USE dimphy
      implicit none
-#include"param.h"
 
      ALLOCATE(mmean(klon,klev)) 
@@ -76,28 +27,4 @@
      ALLOCATE(rnew(klon,klev))  
      ALLOCATE(cpnew(klon,klev)) 
-     ALLOCATE(jfotsout(ninter,nabs,klev))
-     ALLOCATE(coefit0(ninter,nabs))
-     ALLOCATE(coefit1(ninter,nabs))  
-     ALLOCATE(coefit2(ninter,nabs))  
-     ALLOCATE(coefit3(ninter,nabs))  
-     ALLOCATE(coefit4(ninter,nabs)) 
-     ALLOCATE(fluxtop(ninter)) 
-!     ALLOCATE(freccen(ninter)) 
-     ALLOCATE(t0(nz2))   
-!     ALLOCATE(crscabsi2(nabs,16))
-     ALLOCATE(c1_16(nz2,16))
-     ALLOCATE(c17_24(nz2) )
-     ALLOCATE(c25_29(nz2) )
-     ALLOCATE(c30_31(nz2) )
-     ALLOCATE(c32(nz2) )
-     ALLOCATE(c33(nz2) )
-     ALLOCATE(c34(nz2) )
-     ALLOCATE(c35(nz2) )
-     ALLOCATE(c36(nz2) )
-     ALLOCATE(ct2(ninter) )
-     ALLOCATE(ct1(ninter) )
-     ALLOCATE(p1(ninter) )
-     ALLOCATE(p2(ninter) )
-     ALLOCATE(jabsifotsintpar(nz2,nabs,ninter))
      end subroutine conc_init
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/concentrations2.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/concentrations2.F	(revision 2463)
+++ trunk/LMDZ.VENUS/libf/phyvenus/concentrations2.F	(revision 2464)
@@ -1,3 +1,3 @@
-      SUBROUTINE concentrations2(pplay,t_seri,pdt,tr_seri, nqmx)
+      SUBROUTINE concentrations2(pplay,t_seri,tr_seri, nqmx)
 
       use dimphy
@@ -31,12 +31,7 @@
 
       real pplay(klon,klev)
-c      real pt(klon,klev)
       integer,intent(in) :: nqmx    ! number of tracers
       real t_seri(klon, klev)
-      real pdt(klon,klev)
-      real n2vmr_gcm(klon,klev),nvmr_gcm(klon,klev)
       real tr_seri(klon,klev,nqmx)
-c      real pdq(klon,klev,nqmx)
-      real ptimestep
 
 !     local variables
Index: trunk/LMDZ.VENUS/libf/phyvenus/conf_phys.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/conf_phys.F90	(revision 2463)
+++ trunk/LMDZ.VENUS/libf/phyvenus/conf_phys.F90	(revision 2464)
@@ -454,11 +454,11 @@
 
 !
-!Config Key  = solarcondate
+!Config Key  = fixed_euv_value
 !Config Desc = 
-!Config Def  = 1993.4  ## Average solar cycle condition
-!Config Help =
-!
-  solarcondate = 1993.4
-  call getin('solarcondate',solarcondate)
+!Config Def  = 140.  ## Average solar cycle condition
+!Config Help =
+!
+  fixed_euv_value =140. 
+  call getin('fixed_euv_value',fixed_euv_value)
 
 !
@@ -528,5 +528,5 @@
   write(lunout,*)' callthermos = ',callthermos
   write(lunout,*)' solvarmod = ',solvarmod
-  write(lunout,*)' solarcondate = ',solarcondate
+  write(lunout,*)' fixed_euv_value = ',fixed_euv_value
   write(lunout,*)' euveff = ',euveff
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/euvheat.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/euvheat.F90	(revision 2463)
+++ trunk/LMDZ.VENUS/libf/phyvenus/euvheat.F90	(revision 2464)
@@ -1,8 +1,7 @@
       SUBROUTINE euvheat(nlon, nlev,nqmx, pt,pplev,pplay,zzlay, &
-        	   mu0,ptimestep,ptime,zday,       &
-                   pq, pdq, pdteuv)
+                   mu0,ptimestep,ptime,pq, pdq, pdteuv)
 
         use chemparam_mod
-	use dimphy
+        use dimphy
         use conc, only:  rnew, cpnew
 
@@ -34,7 +33,4 @@
 #include "YOMCST.h"
 #include "clesphys.h"
-#include "param.h"
-#include "param_v4.h"
-!#include "chimiedata.h"
 #include "mmol.h"
 !-----------------------------------------------------------------------
@@ -54,5 +50,4 @@
 
       real :: ptimestep,ptime
-      real :: zday
       real :: pq(nlon,nlev,nqmx)
       real :: pdq(nlon,nlev,nqmx)
@@ -336,11 +331,4 @@
       
       !Solar flux calculation
-      if(solvarmod.eq.0) call flujo(solarcondate) 
-
-                                         ! Not recommended for long runs 
-                                         ! (e.g. to build the MCD), as the
-                                         ! solar conditions at the end will 
-                                         ! be different to the ones initially
-                                         ! set
       
       do ig=1,nlon
@@ -377,5 +365,5 @@
 
         !Routine to calculate the UV heating
-         call hrtherm (ig,euvmod,rm,nespeuv,tx,zlocal,zenit,zday,jtot)
+         call hrtherm (ig,euvmod,rm,nespeuv,tx,zlocal,zenit,jtot)
 	 
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/hrtherm.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/hrtherm.F	(revision 2463)
+++ trunk/LMDZ.VENUS/libf/phyvenus/hrtherm.F	(revision 2464)
@@ -1,5 +1,5 @@
 c**********************************************************************
 
-      subroutine hrtherm(ig,euvmod,rm,nespeuv,tx,iz,zenit,zday,jtot)
+      subroutine hrtherm(ig,euvmod,rm,nespeuv,tx,iz,zenit,jtot)
 
 
@@ -9,5 +9,6 @@
 c**********************************************************************
       use dimphy
-      use conc
+      use param_v4_h, only: ninter,nabs,jfotsout,fluxtop,freccen
+
       implicit none
 
@@ -15,6 +16,4 @@
 
 
-#include "param.h"
-#include "param_v4.h"
 #include "clesphys.h"
 
@@ -38,5 +37,4 @@
       real       zenit
       real       iz(klev)
-      real       zday
 
       ! tracer indexes for the EUV heating:
@@ -95,12 +93,5 @@
 
       !Calculation of photoabsortion coefficient
-      if(solvarmod.eq.0) then
-         call jthermcalc(ig,euvmod,rm,nespeuv,tx,iz,zenit)
-      else if (solvarmod.eq.1) then
-         call jthermcalc_e107(ig,euvmod,rm,nespeuv,tx,iz,zenit,zday)
-         do indexint=1,ninter
-            fluxtop(indexint)=1.
-         enddo
-      endif
+      call jthermcalc_e107(ig,klev,euvmod,rm,nespeuv,tx,iz,zenit)
 
       !Total photoabsorption coefficient    !  erg/(s*cm3) 
